      SUBROUTINE GSLW(I)
      INCLUDE 'Parametres.f' 
C
      if (ipostscript.eq.1) then
        iepais_ligne = max(1,i)
        call x11thick(iepais_ligne)
        if (ityp_ligne.ne.0) call x11draw3(ityp_ligne)
      else
        toto = amin1(taille_x,taille_y)/19.
        if (i.gt.0) then
          epep = .25*real(i)*toto
        elseif (i.lt.0) then
cc ancienne imprimante couleur de trop faible resolution.
cc entrons maintenant dans le 3ieme millenaire !
cc          if (ipostscript.eq.-1) then
            epep = .09*toto
cc          else
cc            epep = .15*toto
cc          endif
        else
          epep = .15*toto
        endif
        epais_ligne_pend = max(.08,epep)
      endif
      end
